summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xgitlab-ci/clientdata.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/gitlab-ci/clientdata.sh b/gitlab-ci/clientdata.sh
index 4b8dd37..9d1281b 100755
--- a/gitlab-ci/clientdata.sh
+++ b/gitlab-ci/clientdata.sh
@@ -33,14 +33,16 @@ if [[ -n "${RES}" ]]; then
echo "xml check failed"
echo "xml check failed" >../../clientdata/shared/error.log
echo ${RES} >>../../clientdata/shared/error.log
- exit 0
+ cat ../../clientdata/shared/error.log
+ exit 1
fi
echo >../../clientdata/shared/error.log
./testxml.py silent >../../clientdata/shared/error.log
if [ "$?" != 0 ]; then
echo "test xml error"
- exit 0
+ cat ../../clientdata/shared/error.log
+ exit 1
fi
echo >../../clientdata/shared/error.log